spandsp 0.0.6

t30_stats_t Struct Reference

## Public Attributes
int | bit_rate
| The current bit rate for image transfer.
int | error_correcting_mode
| TRUE if error correcting mode is used.
int | pages_tx
| The number of pages sent so far.
int | pages_rx
| The number of pages received so far.
int | pages_in_file
| The number of pages in the file (<0 if not known).
int | x_resolution
| The horizontal column-to-column resolution of the most recent page, in pixels per metre.
int | y_resolution
| The vertical row-to-row resolution of the most recent page, in pixels per metre.
int | width
| The number of horizontal pixels in the most recent page.
int | length
| The number of vertical pixels in the most recent page.
int | image_size
| The size of the image, in bytes.
int | encoding
| The type of compression used between the FAX machines.
int | bad_rows
| The number of bad pixel rows in the most recent page.
int | longest_bad_row_run
| The largest number of bad pixel rows in a block in the most recent page.
int | error_correcting_mode_retries
| The number of HDLC frame retries, if error correcting mode is used.
int | current_status
| Current status.

The documentation for this struct was generated from the following file:

- t30.h